<!-- Nav -->
<%- include('../partials/nav', {active: "vault"}); %>

<div class="container-fluid">
    <div class="row d-flex d-md-block flex-nowrap wrapper">
        <main class="col-12 float-left col px-5 px-md-3 py-3 main">
            <h1>
                Unseal Vault
            </h1>
            <% include ../partials/messages %>
            <div class="my-3 p-3 bg-white rounded shadow-sm">
                <div class="alert alert-warning" role="alert">
                    <h4 class="alert-heading">Vault is sealed</h4>
                    <p>You can unseal the vault by entering a portion of the master key. Once all portions are entered, the vault
                        will be unsealed.</p>
                </div>
                <form action="/vault/unseal" method="POST" enctype="application/json">
    
                    <div class="form-group">
    
                        <div class="form-row mb-2">
                            <div class="col">
                                <label for="key">Master Key Portion</label>
                                <input id="key" type="password" class="form-control" name="key" required>
                            </div>
                        </div>

                        <% if (vaultSealStatus.progress> 0){%>
                            <div class="form-row mb-2">
                                <div class="col">
                                    <div class="progress">
                                        <div class="progress-bar bg-success" role="progressbar"
                                            style="width:<%=vaultSealStatus.progressPercentage%>%" aria-valuenow="<%=vaultSealStatus.progress%>"
                                            aria-valuemin="0" aria-valuemax="<%=vaultSealStatus.t%>">
                                            <%=vaultSealStatus.progress%>/<%=vaultSealStatus.t%> keys provided
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <%} %>
    
                    </div>
                    <div>
                        <button type="submit" class="btn btn-primary">Unseal</button>
                    </div>
                </form>
            </div>
        </main>
    </div>
</div>